DefaultDigestAlgorithmIdentifierFinder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.operator

## Class DefaultDigestAlgorithmIdentifierFinder

- java.lang.Object
- - org.bouncycastle.operator.DefaultDigestAlgorithmIdentifierFinder

- All Implemented Interfaces:
    DigestAlgorithmIdentifierFinder

      public class DefaultDigestAlgorithmIdentifierFinder
      extends java.lang.Object
      implements DigestAlgorithmIdentifierFinder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDigestAlgorithmIdentifierFinder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `find(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId)` Find the digest algorithm identifier that matches with the passed in signature algorithm identifier.
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `find(java.lang.String digAlgName)` Find the algorithm identifier that matches with the passed in digest name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDigestAlgorithmIdentifierFinder

          public DefaultDigestAlgorithmIdentifierFinder()

  - ### Method Detail

    - #### find

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier find(org.bouncycastle.asn1.x509.AlgorithmIdentifier sigAlgId)

      Description copied from interface: `DigestAlgorithmIdentifierFinder`
      Find the digest algorithm identifier that matches with the passed in signature algorithm identifier.
      Specified by:
        `find` in interface `DigestAlgorithmIdentifierFinder`
      Parameters:
        `sigAlgId` - the signature algorithm of interest.
      Returns:
        an algorithm identifier for the corresponding digest.

    - #### find

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier find(java.lang.String digAlgName)

      Description copied from interface: `DigestAlgorithmIdentifierFinder`
      Find the algorithm identifier that matches with the passed in digest name.
      Specified by:
        `find` in interface `DigestAlgorithmIdentifierFinder`
      Parameters:
        `digAlgName` - the name of the digest algorithm of interest.
      Returns:
        an algorithm identifier for the digest signature.